Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1339780 - Require fix for bug 1339777 - ioprocess keep open file on shared storage after touching or truncating a file
Summary: Require fix for bug 1339777 - ioprocess keep open file on shared storage afte...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: vdsm
Classification: oVirt
Component: Core
Version: 4.18.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.0.2
: 4.18.7
Assignee: Allon Mureinik
QA Contact: Aharon Canan
URL:
Whiteboard:
Depends On: 1339777 1371634
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-25 20:47 UTC by Nir Soffer
Modified: 2016-08-30 16:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-12 14:27:27 UTC
oVirt Team: Storage
rule-engine: ovirt-4.0.z+
rule-engine: planning_ack+
rule-engine: devel_ack+
acanan: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 60858 0 master MERGED spec: Require python-ioprocess-0.16.1-1 2016-07-17 13:41:51 UTC
oVirt gerrit 60860 0 ovirt-4.0 MERGED spec: Require python-ioprocess-0.16.1-1 2016-07-18 09:54:53 UTC

Description Nir Soffer 2016-05-25 20:47:09 UTC
Description of problem:

Require new version of ioprocess, fixing bug 1339777 - ioprocess keep open file on
shared storage after touching or truncating a file

Version-Release number of selected component (if applicable):
Since 3.5

Comment 1 Tal Nisan 2016-05-26 08:36:04 UTC
Nir I assume you'd like to have this in 4.0 so I targeted it, let me know if that's not the case

Comment 2 Allon Mureinik 2016-05-26 10:31:21 UTC
If this presents since 3.5.0, I wonder if we should backport to 3.6.z too (assuming it's not TOO much work to build ioprocess on EL6 too).

Comment 3 Yaniv Kaul 2016-07-15 19:28:23 UTC
The errata has been released, looks like we can add it now.

Comment 4 Nir Soffer 2016-07-17 13:23:48 UTC
(In reply to Yaniv Kaul from comment #3)
> The errata has been released, looks like we can add it now.

Patch approved.

Comment 5 Allon Mureinik 2016-07-17 14:26:45 UTC
(In reply to Nir Soffer from comment #4)
> (In reply to Yaniv Kaul from comment #3)
> > The errata has been released, looks like we can add it now.
> 
> Patch approved.
The backport still needs to be merged.

Comment 6 Aharon Canan 2016-07-26 08:41:10 UTC
[root@storage-ge5-vdsm1 ~]# yum deplist vdsm-4.18.8-1.el7ev.x86_64 |grep ioprocess
Failed to set locale, defaulting to C
Repository jboss-eap-7.0.Z is listed more than once in the configuration
  dependency: python-ioprocess >= 0.16.1-1
   provider: python-ioprocess.noarch 0.16.1-1.el7ev


Note You need to log in before you can comment on or make changes to this bug.